apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: {{ template "fullname" . }}
  labels:
    app: {{ template "fullname" . }}
    chart: "{{ .Chart.Name }}-{{ .Chart.Version }}"
    release: "{{ .Release.Name }}"
    heritage: "{{ .Release.Service }}"
  annotations:
    kubernetes.io/tls-acme: "true"
    kubernetes.io/ingress.class: "{{ template "gitlab.ingressclass" . }}"
    kubernetes.io/ingress.provider: "nginx"
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.ingress.kubernetes.io/proxy-read-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-send-timeout: "600"
    nginx.ingress.kubernetes.io/proxy-connect-timeout: "30"
    nginx.ingress.kubernetes.io/proxy-request-buffering: "off"
    nginx.ingress.kubernetes.io/use-regex: "true"
    {{ include "gitlab.certmanager_annotations" . }}
  {{- range $key, $value := merge .Values.ingress.annotations .Values.global.ingress.annotations }}
    {{ $key }}: {{ $value | quote }}
  {{- end }}
    {{- if default false .Values.ingress.serverSnippet }}
    nginx.ingress.kubernetes.io/server-snippet: |
      {{- .Values.ingress.serverSnippet | nindent 6 }}
    {{- end }}
spec:
  tls:
  - hosts:
    {{- $domain := .Values.global.hosts.domain }}
    {{- $hosts := prepend .Values.ciHosts "gitlab" }}
    {{- range $host := $hosts }}
    - {{ $host -}}.{{- $domain }}
    {{- end }}
    secretName: {{ include "webservice.tlsSecret" . }}
  rules:
  {{- $fullName := include "gitlab.other.fullname" ( dict "context" . "chartName" "webservice" ) }}
  {{- range $host := $hosts }}
  - host: {{ $host }}.{{- $domain }}
    http:
      paths:
      - path: /admin/sidekiq
        backend:
          serviceName: {{ $fullName }}
          servicePort: 8080
      - path: /
        backend:
          serviceName: {{ $fullName }}
          servicePort: 8181
  {{- end }}
